> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Allocation

> Update a time-off allocation's amount or period.



## OpenAPI

````yaml /openapi.json put /allocations/{allocation_id}
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /allocations/{allocation_id}:
    put:
      tags:
        - Time Off
      summary: Update Allocation
      description: Update a time-off allocation's amount or period.
      operationId: updateAllocation
      parameters:
        - name: allocation_id
          in: path
          required: true
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TimeOffAllocationRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimeOffAllocation'
        '401':
          description: Unauthorized
components:
  schemas:
    TimeOffAllocationRequest:
      type: object
      properties:
        startDate:
          type: string
          example: '2019-01-01'
        endDate:
          type: string
          example: '2019-12-31'
        contractStartDate:
          type: string
          example: '2019-03-01'
        users:
          type: array
          items:
            type: number
          example:
            - 79786
            - 79787
        timeOffType:
          type: number
          example: 16539
        days:
          type: number
          example: 24
        daysCarried:
          type: number
          example: 24
        accrualFrequency:
          type: string
          enum:
            - daily
            - immediately
          example: daily
        restrictOverAllocation:
          type: boolean
          example: false
        completed:
          type: boolean
          example: false
        notes:
          type: string
          example: some notes
    TimeOffAllocation:
      type: object
      properties:
        id:
          type: number
          example: 876534
        startDate:
          type: string
          example: '2019-01-01'
        endDate:
          type: string
          example: '2019-12-31'
        contractStartDate:
          type: string
          example: '2019-03-01'
        user:
          type: number
          example: 79786
        timeOffType:
          type: number
          example: 16539
        days:
          type: number
          example: 24
        daysCarried:
          type: number
          example: 24
        daysAllocated:
          type: number
          example: 6.2
        daysUsed:
          type: number
          example: 8
        accrualFrequency:
          type: string
          enum:
            - daily
            - immediately
          example: daily
        restrictOverAllocation:
          type: boolean
          example: false
        completed:
          type: boolean
          example: false
        notes:
          type: string
          example: some notes
        createdBy:
          type: number
          example: 79562
        createdAt:
          type: string
          example: '2018-06-01'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````